Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604095 - SELinux is preventing /usr/sbin/logrotate "write" access on /var/lib/zope/log/Z2.log.
SELinux is preventing /usr/sbin/logrotate "write" access on /var/lib/zop...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zope (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:3ca320f95d5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 08:27 EDT by Tim Richardson
Modified: 2011-06-27 14:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:16:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Richardson 2010-06-15 08:27:28 EDT
Summary:

SELinux is preventing /usr/sbin/logrotate "write" access on
/var/lib/zope/log/Z2.log.

Detailed Description:

SELinux denied access requested by logrotate. It is not expected that this
access is required by logrotate and this access may signal an intrusion attempt.
It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:logrotate_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:var_lib_t:s0
Target Objects                /var/lib/zope/log/Z2.log [ file ]
Source                        logrotate
Source Path                   /usr/sbin/logrotate
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           logrotate-3.7.8-8.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-23.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.5-112.fc13.x86_64 #1 SMP Thu
                              May 27 02:28:31 UTC 2010 x86_64 x86_64
Alert Count                   3
First Seen                    Mon 31 May 2010 10:45:16 AM BST
Last Seen                     Tue 15 Jun 2010 01:24:08 PM BST
Local ID                      cd8eda28-1720-45ea-be6f-b73a5469f9ac
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1276604648.811:67): avc:  denied  { write } for  pid=21878 comm="logrotate" name="Z2.log" dev=dm-0 ino=1332242 scontext=system_u:system_r:logrotate_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1276604648.811:67): arch=c000003e syscall=2 success=no exit=-13 a0=a477c0 a1=2 a2=a4b600 a3=a4b3a0 items=0 ppid=21876 pid=21878 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=3 comm="logrotate" exe="/usr/sbin/logrotate" subj=system_u:system_r:logrotate_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,logrotate,logrotate_t,var_lib_t,file,write
audit2allow suggests:

#============= logrotate_t ==============
allow logrotate_t var_lib_t:file write;
Comment 1 Daniel Walsh 2010-06-16 11:58:14 EDT
Please tell me this is a local customization.

zope should put its log files in /var/log/zope
Comment 2 Bug Zapper 2011-06-02 06:46:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 14:16:52 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.